<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Event_details</title>
    <link rel="stylesheet" href="UserFrontend/css/eventdetails.css">
    <link rel="stylesheet" href="UserFrontend/css/nav_footers.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
</head>
<body>
    <div class="navigation">
        <a href="Main_DashBoard.html"><img src="/userFrontend/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg" alt="" class="logo">
        </a>
        <ul>
            <li><a href="tournamentEvents.html" style="color: #3DB8FB;">Events</a></li>
            <li><a href="mailto:recipient@example.com">Contact us</a></li> 
            <li><a href="About.html">About us</a></li>
            <li class="account-circle" id="accountCircle"><span class="material-symbols-outlined">
                account_circle
                </span>
                <div class="dropdown-content" id="dropdownContent">
                    <a href="profileTeam.html">    <i class="fa fa-user-circle" aria-hidden="true"></i>    Visit Profile</a>
                    <a href="login.html" id="logoutLink">
                        <i class="fas fa-sign-out-alt"></i> Logout
                    </a>                  </div>
        </ul>
    </div>
    <section>
        <div>
            <p class="eve">Event Details</p>
            <h1 class="top">Block Tournament</h1>
            <div class="dash"></div>
        </div>
        <div>
            <img src="/userFrontend/img/l.svg" alt="Your Image"class="image-holder">
            <div class=" paragraph">
                <p><span class="material-symbols-outlined">
                    groups
                </span>members</p>
                <p><span class="material-symbols-outlined">
                    emoji_events
                </span> nu 5000</p>
                <p><span class="material-symbols-outlined">
                    schedule
                </span> 2 weeks</p>
                <p><span class="material-symbols-outlined">
                    calendar_month
                </span> 13th May 2024</p>
                <p><span class="material-symbols-outlined">
                    account_tree
                </span>leauge, Knockout</p>   
            </div> 
        </div>
        <div class="para">
            <p>Prepare yourself for the ultimate showdown in the block tournament! Teams from all blocks will compete in intense battles to prove their worth and claim the title of champion. With adrenaline-fueled matches and epic moments, this event promises to be an unforgettable experience for all Mobile Legends enthusiasts.</p>
        </div>
        <button class="register" id="registerBtn">
            Register
        </button>
    </section>

    <div class="footer">
        <div class="logo1"><img src="/userFrontend/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg" alt=""></div>
        <div class="social">
            <i class="fab fa-instagram"></i>
           <i class="fab fa-youtube" aria-hidden="true"></i>
           <i class="fab fa-facebook" aria-hidden="true"></i>
        </div>
        <hr style="width: 80%; margin-top: 1rem;">
        <div class="copyrights">Copyright &copy; 2024 MLBB Tournament Hosting Website. All rights reserved</div>
    </div>
</body>
<div id="myModal" class="modal">
    <div class="modal-content">
      <span class="close">&times;</span>
      <p>Are you sure you want to register?</p>
      <button id="confirmBtn">Confirm</button>
      <button id="cancelBtn">Cancel</button>
    </div>
</div>
  
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js" integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<script src="/userFrontend/js/Eventdetails.js"></script>
<script>
$(document).ready(function(){
    $(window).scroll(function(){
        if($(this).scrollTop() > 50) {
            $('.navigation').css('background', 'rgba(54, 25, 59)');
        } else {
            $('.navigation').css('background', 'rgba(54, 25, 59, 0.9)');
        }
    });
});

// // Get the modal
// var modal = document.getElementById("myModal");

// // Get the button that opens the modal
// var btn = document.getElementById("registerBtn"); // Changed to getElementById

// // Get the <span> element that closes the modal
// var span = document.getElementsByClassName("close")[0];

// // When the user clicks the button, open the modal 
// btn.onclick = function() {
//     modal.style.display = "block";
// }

// // When the user clicks on <span> (x), close the modal
// span.onclick = function() {
//     modal.style.display = "none";
// }

// // When the user clicks anywhere outside of the modal, close it
// window.onclick = function(event) {
//     if (event.target == modal) {
//         modal.style.display = "none";
//     }
// }


// document.getElementById("cancelBtn").addEventListener("click", function() {
//     // Add your cancelation logic here
//     modal.style.display = "none"; // Close the modal
// // });

// $(document).ready(function(){
//   $("#accountCircle").hover(function(event) {
//     event.stopPropagation(); 
//     $("#dropdownContent").toggleClass("show");
//   });

//   $(document).click(function(event) {
//     if (!$(event.target).closest('.account-circle').length) {
//       $(".dropdown-content").removeClass("show");
//     }
//   });
// });

document.getElementById('logoutLink').addEventListener('click', function(event) {
        // Prevent the default behavior of the link
        event.preventDefault();

        // Show a confirmation dialog
        var confirmation = confirm("Are you sure you want to logout?");

        // If the user confirms, proceed to the logout page
        if (confirmation) {
            window.location.href = this.getAttribute('href');
        }
    });
</script>
</html>
